import sqlite3

connection = sqlite3.connect('app/bdd_for_labels.db', check_same_thread=False)

def send_sql_request(request, fetchall = 1):
    '''Execute sql request on bdd_for_labels database.
    If second parameter is 0 return one line of the response
    else return all lines.
    '''
    global connection
    cursor = connection.cursor()
    cursor.execute(request)
    connection.commit()
    if (fetchall == 1):
        res = cursor.fetchall()
    else:
        res = cursor.fetchone()
    return (res)
